# Package-level declarations

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

parameterizedBy
Link copied to clipboard
fun Class <*>. parameterizedBy (vararg arguments: TypeMatcher ): ParameterizedTypeMatcher

Creates a ParameterizedTypeMatcher for a specific Class type with the given type arguments.

fun KClass <*>. parameterizedBy (vararg arguments: TypeMatcher ): ParameterizedTypeMatcher

Creates a ParameterizedTypeMatcher for a specific KClass.java type with the given type arguments.

toTypeMatcher
Link copied to clipboard
fun Class <*>. toTypeMatcher (): ClassTypeMatcher

Converts a Class to a ClassTypeMatcher.

fun KClass <*>. toTypeMatcher (): ClassTypeMatcher

Converts a KClass.java to a ClassTypeMatcher.

typeVar
Link copied to clipboard
fun typeVar (name: String ): TypeVariableMatcher

Creates a TypeMatcher for a specific class type.